Console

Plans Move

PATCH
/api/plans/{plan_id}

Seller moves a planned action to a new time (drag on the Timeline). Sealed in the ledger.

Authorization

HTTPBasic
AuthorizationBasic <token>

In: header

Path Parameters

plan_id*string

plan_id

Request Body

application/json

PlanMove object

due_at*string

New time to run it (ISO 8601)

Formatdate-time

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/plans/string" \  -H "Content-Type: application/json" \  -d '{    "due_at": "2019-08-24T14:15:22Z"  }'
{  "id": "string",  "agent": "string",  "tool": "string",  "args": {},  "reason": "string",  "title": "string",  "subject_id": "string",  "due_at": "2019-08-24T14:15:22Z",  "status": "planned",  "outcome": {},  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}